org.apache.cassandra.cql.jdbc

## Class JdbcLexicalUUID

- java.lang.Object
- - org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.util.UUID>
  - - org.apache.cassandra.cql.jdbc.AbstractJdbcUUID
    - - org.apache.cassandra.cql.jdbc.JdbcLexicalUUID

-     public class JdbcLexicalUUID
      extends AbstractJdbcUUID

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JdbcLexicalUUID` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcLexicalUUID()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `compose(java.nio.ByteBuffer bytes)`
    `java.nio.ByteBuffer` | `decompose(java.util.UUID value)`
    `java.lang.String` | `getString(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class org.apache.cassandra.cql.jdbc.AbstractJdbcUUID

      `getJdbcType, getPrecision, getScale, getType, isCaseSensitive, isCurrency, isSigned, needsQuotes, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final JdbcLexicalUUID instance

  - ### Constructor Detail

    - #### JdbcLexicalUUID

          public JdbcLexicalUUID()

  - ### Method Detail

    - #### getString

          public java.lang.String getString(java.nio.ByteBuffer bytes)

      Specified by:
        `getString` in class `AbstractJdbcType<java.util.UUID>`

    - #### compose

          public java.util.UUID compose(java.nio.ByteBuffer bytes)

      Specified by:
        `compose` in class `AbstractJdbcType<java.util.UUID>`

    - #### decompose

          public java.nio.ByteBuffer decompose(java.util.UUID value)

      Specified by:
        `decompose` in class `AbstractJdbcType<java.util.UUID>`

Copyright © 2014 The Apache Software Foundation